YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class UIComponentUtil

Package | com.yahoo.astra.fl.utils
Class | public class UIComponentUtil

Utility functions for use with UIComponents.

Public Methods

| Method | Defined by
--- | --- | ---
|  | getClassDefinition(target:Object):Class [static] Gets the class of an object. | UIComponentUtil
|  | getDisplayObjectInstance(target:DisplayObject, input:Object):DisplayObject [static] Using an input, such as a component style, tries to convert the input to a DisplayObject. | UIComponentUtil
|  | getStyleValue(target:UIComponent, styleName:String):Object [static] Works like getStyleValue() on UIComponent, except it makes component and shared styles available globally rather than just in the component's class. | UIComponentUtil

Method detail

getClassDefinition | () | method

`public static function getClassDefinition(target:Object):Class`

Gets the class of an object. If the object is a DisplayObject, may retrieve the class from the containing app domain.

Parameters

| `target:Object` — A Class or a fully qualified class name (String).

Returns

| `Class`

getDisplayObjectInstance | () | method |

`public static function getDisplayObjectInstance(target:DisplayObject, input:Object):DisplayObject`

Using an input, such as a component style, tries to convert the input to a DisplayObject.

Possible inputs include Class, a String representatation of a fully-qualified class name, Function, any existing instance of a DisplayObject, or InstanceFactory.

Parameters

| `target:DisplayObject` — the parent of the new instance
| `input:Object` — the object to convert to a DisplayObject instance

Returns

| `DisplayObject`

See also

com.yahoo.astra.utils.InstanceFactory

getStyleValue | () | method |

`public static function getStyleValue(target:UIComponent, styleName:String):Object`

Works like getStyleValue() on UIComponent, except it makes component and shared styles available globally rather than just in the component's class.

Parameters

| `target:UIComponent` — the component for which to retrieve the style value
| `styleName:String` — the name of the style to retrieve

Returns

| `Object`